Main Page | Class Hierarchy | Alphabetical List | Compound List | Compound Members

# IRdWidgetMatchParameters Struct Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | SetMatchWeight ([in] RtFloat fProb)
HRESULT | SetInitialAspect ([in] BSTR bAspect)
HRESULT | SetAnchorNodeName ([in] BSTR bAnchorNode)
HRESULT | GetMatchWeight ([out, retval] RtFloat *pfProb)
HRESULT | GetInitialAspect ([out, retval] BSTR *pbAspect)
HRESULT | GetAnchorNodeName ([out, retval] BSTR *pbAnchorNode)

## Detailed Description

IRdWidgetMatchParameters define how good widget mathces specified widget activation request. This data object is used by automatic widget activation mechanism.

## Member Function Documentation

HRESULT IRdWidgetMatchParameters::SetMatchWeight | ( | [in] RtFloat | fProb | ) |

  | Set match weight for widget Parameters:
  fProb | Node name
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetMatchParameters::SetInitialAspect | ( | [in] BSTR | bAspect | ) |

  | Set initial aspect for widget Parameters:
  bAspect | Aspect node name
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetMatchParameters::SetAnchorNodeName | ( | [in] BSTR | bAnchorNode | ) |

  | Set anchor node name. Parameters:
  bAnchorNode | Node name
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetMatchParameters::GetMatchWeight | ( | [out, retval] RtFloat * | pfProb | ) |

  | Return stored matching weight Parameters:
  pfProb | Widget matching weight
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetMatchParameters::GetInitialAspect | ( | [out, retval] BSTR * | pbAspect | ) |

  | Return stored initial aspect Parameters:
  pbAspect | Aspect name
Returns: standard HRESULT processing can be applied to returned value

HRESULT IRdWidgetMatchParameters::GetAnchorNodeName | ( | [out, retval] BSTR * | pbAnchorNode | ) |

  | Return stored anchor node Parameters:
  pbAnchorNode | Node name
Returns: standard HRESULT processing can be applied to returned value